#ifndef CABOUTDIALOG_H
#define CABOUTDIALOG_H

// About window, pops up with some basic information about the program
// and its origins.
// See COPYING for license information.

#include <gtkmm.h>

class CAboutDialog : public Gtk::AboutDialog
{
public:
	CAboutDialog();
protected:
	Glib::RefPtr<Gdk::Pixbuf>	_RefLogo;
};

CAboutDialog::CAboutDialog()
{
	set_program_name(ZENDOTITLE);
	set_comments("Author: Nigel \"Sparky\" Bosch (sparkynigel@gmail.com)\n\nThanks to steevols and BandiPat for artwork,\ndesign tips, and general helpfulness.\nThanks to JD of naquadah.org for web hosting.");
	set_license("Copyright 2008 Nigel Bosch. See COPYING for more license information.");

	_RefLogo = _RefLogo->create_from_file(PIXMAP("zendo.png"));
	set_logo(_RefLogo);
	run();
}

#endif
